[project]
name = "stem_examples"
version = "2023.12"
description = "examples of using stem"
authors = [{ name = "emdee", email = "Ingvar@gitgub.com" } ]
requires-python = ">=3.6"
dependencies = [
    'stem',
]
keywords = ["stem", "python3", "tor"]
classifiers = [
    "License :: OSI Approved",
    "Operating System :: POSIX :: BSD :: FreeBSD",
    "Operating System :: POSIX :: Linux",
    "Programming Language :: Python :: 3 :: Only",
    "Programming Language :: Python :: 3.6",
    "Programming Language :: Python :: 3.7",
    "Programming Language :: Python :: 3.8",
    "Programming Language :: Python :: 3.9",
    "Programming Language :: Python :: 3.10",
    "Programming Language :: Python :: 3.11",
    "Programming Language :: Python :: Implementation :: CPython",
    ]
dynamic = ["version", "readme", ] # cannot be dynamic ['license']
scripts = { exclude_badExits = "stem_examples.exclude_badExits:iMain" }

#[project.license]
#file = "LICENSE.md"

[project.urls]
repository = "https://git.plastiras.org/emdee/stem_examples"

[build-system]
requires = ["setuptools >= 61.0"]
build-backend = "setuptools.build_meta"

[tool.setuptools.dynamic]
version = {attr = "stem_examples.__version__"} 
readme = {file = ["README.md", "exclude_badExits.md"]}

[tool.setuptools]
packages = ["stem_examples"]

#[tool.setuptools.packages.find]
#where = "src"
